package com.testor.module.contractor.manage.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.testor.module.contractor.manage.model.domain.TContractorAcceptance;
import com.testor.module.contractor.manage.model.dto.TContractorAcceptanceDTO;
import com.testor.module.contractor.manage.model.dto.TContractorAcceptanceParam;
import com.tongtech.tfw.backend.common.models.supers.SuperService;

import java.util.List;

/**
 * 承包商管理-验收交付Service接口
 * 
 * @author testor-framework
 * @date 2024-12-01 15:01:41
 */
public interface TContractorAcceptanceService extends SuperService<TContractorAcceptance> {

    Page<TContractorAcceptanceDTO> listEntity(TContractorAcceptanceParam param);

    List<TContractorAcceptance> listAllEntity(TContractorAcceptanceParam param);

    TContractorAcceptance addEntity(TContractorAcceptanceDTO addRequest);

    void submit(TContractorAcceptanceDTO tContractorAcceptanceDTO);

    void completeProcess(TContractorAcceptanceDTO tContractorAcceptanceDTO);

    TContractorAcceptance updateEntity(TContractorAcceptanceDTO updateRequest);
}
